# PhasicFlow: boundaryFieldList< T, MemorySpace > Class Template Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

boundaryFieldList< T, MemorySpace > Class Template Reference
Inheritance diagram for boundaryFieldList< T, MemorySpace >:
[legend]
Collaboration diagram for boundaryFieldList< T, MemorySpace >:
[legend]

## Public Types

using | BoundaryFieldType = boundaryField< T, MemorySpace >
using | InternalFieldType = typename BoundaryFieldType::InternalFieldType

## Public Member Functions

| boundaryFieldList (const boundaryList &boundaries, InternalFieldType &internal)
void | updateBoundaries (uint32 iter, DataDirection direction)
void | fill (const T &val)
bool | slaveToMasterUpdateRequested () const

## Protected Attributes

const boundaryList & | boundaries_
uint32 | slaveToMasterUpdateIter_ = static_cast<uint32>(-1)

## Detailed Description

### template<class T, class MemorySpace = void>
class pFlow::boundaryFieldList< T, MemorySpace >

Definition at line 32 of file boundaryField.hpp.

## Member Typedef Documentation

## BoundaryFieldType

using BoundaryFieldType = boundaryField<T, MemorySpace>

Definition at line 38 of file boundaryFieldList.hpp.

## InternalFieldType

using InternalFieldType = typename BoundaryFieldType::InternalFieldType

Definition at line 40 of file boundaryFieldList.hpp.

## Constructor & Destructor Documentation

## boundaryFieldList()

boundaryFieldList | ( | const boundaryList & | boundaries,
|  | InternalFieldType & | internal
| ) |  |

inline

Definition at line 51 of file boundaryFieldList.hpp.

## Member Function Documentation

## updateBoundaries()

void updateBoundaries | ( | uint32 | iter,
|  | DataDirection | direction
| ) |  |

inline

Definition at line 66 of file boundaryFieldList.hpp.

Referenced by pointField< pFlow::VectorSingle, pFlow::AB3History >::updateBoundaries().

Here is the caller graph for this function:

## fill()

void fill | ( | const T & | val | ) |

inline

Definition at line 97 of file boundaryFieldList.hpp.

Referenced by pointField< pFlow::VectorSingle, pFlow::AB3History >::fill().

Here is the caller graph for this function:

## slaveToMasterUpdateRequested()

bool slaveToMasterUpdateRequested | ( |  | ) | const

inline

Definition at line 105 of file boundaryFieldList.hpp.

Referenced by pointField< pFlow::VectorSingle, pFlow::AB3History >::updateBoundariesSlaveToMasterIfRequested().

Here is the caller graph for this function:

## Member Data Documentation

## boundaries_

const boundaryList& boundaries_

protected

Definition at line 45 of file boundaryFieldList.hpp.

Referenced by boundaryFieldList< VectorField, realx3, void >::boundaryFieldList().

## slaveToMasterUpdateIter_

uint32 slaveToMasterUpdateIter_ = static_cast<uint32>(-1)

protected

Definition at line 47 of file boundaryFieldList.hpp.

Referenced by boundaryFieldList< VectorField, realx3, void >::slaveToMasterUpdateRequested(), and boundaryFieldList< VectorField, realx3, void >::updateBoundaries().

The documentation for this class was generated from the following files:

- src/phasicFlow/containers/pointField/boundaryField/boundaryField/boundaryField.hpp
- src/phasicFlow/containers/pointField/boundaryField/boundaryFieldList.hpp